  plot.cnv <-function(x, chr=1,...){
      if (!chr %in% x$reg$loc[[1]][,3]){stop(paste('no CNV regions detected in chr ',chr,sep=""))}
   
  #x is a output of setreg
        cnvr_max = floor(max(as.numeric(names(x$reg$loc[[1]][,3][(x$reg$loc[[1]][,3]==chr)]))))  ##max regID in that chr
        cnvr_min = floor(min(as.numeric(names(x$reg$loc[[1]][,3][(x$reg$loc[[1]][,3]==chr)]))))  ##min regID in that chr
        
        par(mfrow=c(3,3)) 
        index = seq(from=cnvr_min,to=cnvr_max,by=9)
        for(CNVR in index){
            for(CNVR in CNVR:min(CNVR+8,cnvr_max)){
                start = x$reg$plotst[[CNVR]]
                end = x$reg$ploten[[CNVR]]
                groups = x$reg$clustergroups[[CNVR]]
        
                plot(start[1],1,type="n",xlim=c(min(start),max(end)),ylim=c(0,length(start)),xlab="probe number",ylab="subject index")
                title(CNVR,paste('no. of clusters =',max(groups)))
                for(i in 1:length(groups)){
	                   lines(c(start[i],end[i]),y=c(i,i),col=groups[i],lty=groups[i])
	               
                }
            }
            readline('Press Enter for more CNV regions')
        }
}#end of plot function