\name{hwe}
\alias{hwe.cnv}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Test for Hardy-Weinberg Equilibrium}
\description{
Hardy-Weinberg Equilibrium (HWE) Test for Copy-Number Data}
\usage{ hwe.cnv(object,group=NULL,fdr=FALSE)
}
\arguments{
  \item{object}{an object of class 'cnv'; output of \link[cnvpack]{setreg}}
  \item{group}{the position of 'group' variable in 'pheno.data' data.frame}
  \item{fdr}{logical variable; whether the pvalues are adjusted for multiple testing
	using FDR method.}  
}
\details{
  Perform Hardy-Weinberg equilibrium test for diallelic copy number polymorphisms (CNP) regions.
  \code{hwe.cnv} can only be carried out with \code{cnv.abnormality= 'both'} when using \code{setreg}.
}
\value{
%  ~Describe the value returned
The returned value is a list containing: 

\item{reg}{CNV region ID}
\item{freq}{Number of individuals with the CNP regions, sorted according to the CNP regions ID in \code{reg}}  
\item{maf}{Minor allele frequencies of CNP regions} 
\item{fdr}{p-values adjusted using the Benjamini & Hochberg (1995) ("BH") method that controls for false discovery rates. 
see \link[limma]{p.adjust} for more information.}  
}

\references{Salim A, Teo SM, Calza S, Ku CS, Chia KS, Pawitan, Y. Identification of common copy-number variation (CNV) regions using high-denstiy SNP array}
\author{Stefano Calza, Agus Salim, Yudi Pawitan}

\seealso{\link[cnvpack]{setreg}}  
\examples{
example(setreg)
hwe.out <- hwe.cnv(out)
}
\keyword{htest}

