\name{plot}
\alias{plot.cnv}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Dispay clusters of regions within a common region}
\description{
Plots to visually inspect if the clustering results appear reasonable.  }
\usage{
\method{plot}{cnv}(x,chr=1,...)
}

\arguments{
  \item{x}{an object of class 'cnv'; output of \code{\link{setreg}}}
  \item{chr}{chromosome number. Copy number regions in that chromosome will be plotted.}
  \item{\dots} {additional arguments affecting \code{\link{plot}}.}
}
\details{
The plots will be displayed in a 3 x 3 grid. Each plot will have the copy number region ID as the header. 
The horizontal lines represents the individual copy number regions that overlap with that region. Different colours and line styles are used to incidate the different clusters, and
the number of clusters in that copy number region is shown below each plot. 
}

\references{Salim A, Teo SM, Calza S, Ku CS, Chia KS, Pawitan, Y. Identification of common copy-number variation (CNV) regions using high-density SNP array. submitted.}
\author{Stefano Calza, Agus Salim, Teo Shu Mei, Yudi Pawitan}

\seealso{\code{\link{setreg}}}
\examples{
#.. setting directory to ./data subdir in 'cnvpack' dir
dir = paste(searchpaths()[grep("cnvpack",searchpaths())],'/data/',sep="")
setwd(dir)
## read pennCNV output
xdat <- read.cnv(filenames='hgdp_bdy.txt',annotated=FALSE,conf=TRUE,sep="\t")
## covariates 
data(pheno)
# bad samples are the first five subjects
excl.list <- unique(pheno$sample)[1:5]
## load annotation file object 'ann'
data(ann)
out <- setreg(xdat,anno.list=ann,pheno.data=pheno,exclude.list=excl.list,LIM=3,cnv.abnormality='both',
				method='COVER',cluster.method='single',cluster.limit=0.8) 
plot(out,chr=1)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{methods}
\keyword{datagen}% __ONLY ONE__ keyword per line
