\name{read.cnv}
\alias{read.cnv}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Reading CNV output files}
\description{
 Reading output of CNV calling algorithm
}
\usage{
read.cnv(..., filenames = character(0), cnvfile.path = NULL, conf = TRUE, annotated = FALSE, what.annotation = "annotation", input = c("penncnv", "quantisnp","other"), sep = "\t")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{filenames}{pennCNV or QuantiSNP output files}
  \item{cnvfile.path}{directory pennCNV or QuantiSNP output files. If \code{cnvfile.path} is given, all files in the directory
		will be read!}
  \item{conf}{whether the output files contains column for confidence score}
  \item{annotated}{whether the output files contains column for list of overlapping genes in \code{what.annotation} database.}
  \item{what.annotation}{name of gene annotation used}
  \item{input}{the CNV calling algorithm used to produce the output files. Current options are \code{penncnv}, \code{quantisnp} and \code{other}.
	For \code{other}, the output files need to have these columns in the following order: "sample","chr","cn","startsnp","endsnp". If 
      confidence score information is available it should be provided as the last column.}
  \item{sep}{columns separator in the output files. The only option is \code{tab}.}
    \item{\dots} {additional arguments}
}
%\details{
%  ~~ If necessary, more details than the description above ~~
%}
\value{
 A data frame containing the output files. If more than one outpuf file is given or \code{cnvfile.path} is provided,
then the output files will be merged into one data frame.
}

\references{Salim A, Teo SM, Calza S, Ku CS, Chia KS, Pawitan, Y. Identification of common copy-number variation (CNV) regions using high-density SNP array. submitted.}
\author{Stefano Calza, Agus Salim, Yudi Pawitan}

%\note{ ~~further notes~~ 

% ~Make other sections like Warning with \section{Warning }{....} ~
%}

\seealso{\code{\link{setreg}}, \code{\link{summary.cnv}}}

% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{IO}
\keyword{file}% __ONLY ONE__ keyword per line
